/*
 * Copyright (c) 2020-2021, Bluetrum Development Team
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Change Logs:
 * Date           Author       Notes
 * 2020/12/10     greedyhao    The first version
 */

/**
 * Notice!
 * All functions or data that are called during an interrupt need to be in RAM.
 * You can do it the way exception_isr() does.
 */
#include <rtthread.h>
#include "board.h"

extern uint8_t led;
int main(void)
{
    while (1)
    {
        rt_pin_write(led, PIN_LOW);
        rt_thread_mdelay(500);
        rt_pin_write(led, PIN_HIGH);
        rt_thread_mdelay(500);
    }
}
